> ## Documentation Index
> Fetch the complete documentation index at: https://docs.strait.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflow run debug view

> Returns a full debug timeline with per-step status, timing, cost, input/output, and data flow between steps.



## OpenAPI

````yaml https://api.strait.dev/reference/openapi.json get /v1/workflow-runs/{workflowRunID}/debug
openapi: 3.1.0
info:
  description: >-
    Production-grade job orchestration platform for background jobs, workflows,
    and managed execution.
  title: Strait API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.strait.dev
security: []
paths:
  /v1/workflow-runs/{workflowRunID}/debug:
    get:
      tags:
        - Workflow Runs
      summary: Get workflow run debug view
      description: >-
        Returns a full debug timeline with per-step status, timing, cost,
        input/output, and data flow between steps.
      operationId: get-workflow-run-debug
      parameters:
        - in: path
          name: workflowRunID
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DebugView'
          description: OK
        '401':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unauthorized
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Not Found
        '422':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Unprocessable Entity
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Internal Server Error
      security:
        - bearerAuth: []
components:
  schemas:
    DebugView:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/DebugView.json
          format: uri
          readOnly: true
          type: string
        data_flow:
          items:
            $ref: '#/components/schemas/DataFlowEdge'
          type:
            - array
            - 'null'
        error:
          type: string
        finished_at:
          format: date-time
          type: string
        payload: {}
        started_at:
          format: date-time
          type: string
        status:
          type: string
        steps:
          items:
            $ref: '#/components/schemas/DebugStep'
          type:
            - array
            - 'null'
        total_cost_microusd:
          format: int64
          type: integer
        total_duration_ms:
          format: int64
          type: integer
        workflow_id:
          type: string
        workflow_run_id:
          type: string
      required:
        - workflow_run_id
        - workflow_id
        - status
        - total_duration_ms
        - total_cost_microusd
        - steps
        - data_flow
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        $schema:
          description: A URL to the JSON Schema for this object.
          examples:
            - https://api.strait.dev/schemas/ErrorModel.json
          format: uri
          readOnly: true
          type: string
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          examples:
            - Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type:
            - array
            - 'null'
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          examples:
            - https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          examples:
            - 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          examples:
            - Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          examples:
            - https://example.com/errors/example
          format: uri
          type: string
      type: object
    DataFlowEdge:
      additionalProperties: false
      properties:
        data_size_bytes:
          format: int64
          type: integer
        from_step_ref:
          type: string
        to_step_ref:
          type: string
      required:
        - from_step_ref
        - to_step_ref
      type: object
    DebugStep:
      additionalProperties: false
      properties:
        attempt:
          format: int64
          type: integer
        cost_microusd:
          format: int64
          type: integer
        depends_on:
          items:
            type: string
          type:
            - array
            - 'null'
        duration_ms:
          format: int64
          type: integer
        error:
          type: string
        finished_at:
          format: date-time
          type: string
        input: {}
        job_run_id:
          type: string
        output: {}
        started_at:
          format: date-time
          type: string
        status:
          type: string
        step_ref:
          type: string
        step_run_id:
          type: string
        step_type:
          type: string
      required:
        - step_ref
        - step_run_id
        - step_type
        - status
        - duration_ms
        - attempt
      type: object
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: strait_...
      description: API key passed as Bearer token
      scheme: bearer
      type: http

````